<?php
/**
 * Montonio_Gateway
 *
 * @category   montonio
 * @package    Montonio_Gateway
 * @copyright  Copyright (c) 2020 Montonio Finance OÜ  (https://montonio.com/)
 * @license    https://www.gnu.org/licenses/gpl-3.0.txt
 */
class Montonio_Gateway_Block_Estimate extends Mage_Core_Block_Template implements Mage_Widget_Block_Interface
{
    protected function _construct()
    {
        parent::_construct();
        $this->addData(['cache_lifetime' => null]);
        $this->addCacheTag([
            Mage_Core_Model_Store::CACHE_TAG,
            Mage_Cms_Model_Block::CACHE_TAG
        ]);
    }

    protected function _toHtml()
    {
        $data = array(
            'data-name' => Mage::helper('montonio')->getTitle(),
            'data-access-key' => Mage::helper('montonio')->getAccessKey(),
            'data-environment' => Mage::helper('montonio')->getEnvironment(),
            'data-css' => $this->getData('monthly_estimate_css'),
            'data-logo-url' => $this->getData('monthly_estimate_logo_url'),
            'data-info-page-url' => $this->getData('monthly_estimate_info_url'),
            'data-target' => 'montonioLCTarget',
        );
        
        return Mage::getSingleton('core/layout')
            ->createBlock('core/template')
            ->setTemplate('montonio/gateway/estimate.phtml')
            ->setData('data', $data)
            ->toHtml();
    }
}
