<?php
/**
 * Montonio_Gateway
 *
 * @category   montonio
 * @package    Montonio_Gateway
 * @copyright  Copyright (c) 2020 Montonio Finance OÜ  (https://montonio.com/)
 * @license    https://www.gnu.org/licenses/gpl-3.0.txt
 */
class Montonio_Gateway_Block_Split_Form extends Mage_Payment_Block_Form
{
    protected function _construct()
    {
        $this->setCacheLifetime(null);
        $this->setTemplate('montonio/gateway/split/form.phtml');
        parent::_construct();
    }

    /**
     * Get logo url
     *
     * @return string
     */
    public static function getLogoUrl()
    {
        $logos = array(
            'ee' => 'https://public.montonio.com/logo/financing/ee-split-3.png',
            'lv' => 'https://public.montonio.com/logo/financing/lt-split-3.png',
            'lt' => 'https://public.montonio.com/logo/financing/lv-split-3.png',
            'en' => 'https://public.montonio.com/logo/financing/en-split-3.png'
        );
        $lang = current(explode('_', Mage::app()->getLocale()->getLocaleCode()));
        return (isset($logos[$lang])) ? $logos[$lang] : $logos['en'];
    }
}
