<?php
/**
 * Montonio_Gateway
 *
 * @category   montonio
 * @package    Montonio_Gateway
 * @copyright  Copyright (c) 2020 Montonio Finance OÜ  (https://montonio.com/)
 * @license    https://www.gnu.org/licenses/gpl-3.0.txt
 */
class Montonio_Gateway_Model_Adminhtml_Source_Country
{

    /**
     * Options getter
     *
     * @return array
     */
    public function toOptionArray()
    {
        $allMethods = Mage::getModel('montonio/method_payments')->getAvailableMethods();
        $returnValues = [];
        $locale = Mage::app()->getLocale();
        foreach($allMethods as $country => $methods) {
            $returnValues[] = [
                'value' => $country,
                'label' => $locale->getCountryTranslation($country)
            ];
        }

        if(empty($returnValues)) {
            $returnValues[] = [
                'value' => 'EE',
                'label' => $locale->getCountryTranslation('Estonia')
            ];
        }

        return $returnValues;
    }

}
