<?php
/**
 * Montonio_Gateway
 *
 * @category   montonio
 * @package    Montonio_Gateway
 * @copyright  Copyright (c) 2020 Montonio Finance OÜ  (https://montonio.com/)
 * @license    https://www.gnu.org/licenses/gpl-3.0.txt
 */

//require JWT lib
require_once Mage::getBaseDir('lib') . DS . 'Montonio' . DS . 'JWT.php';

class Montonio_Gateway_Model_Observer
{

    /**
     * Sets data to payment method
     *
     * @param Varien_Event_Observer $observer
     * @return void
     */
    public function setAdditionalData(Varien_Event_Observer $observer)
    {

        try {
            $order = $observer->getOrder();
            $quote = $observer->getQuote();
            $quotePayment = $quote->getPayment();
            $methodInstance = $quotePayment->getMethodInstance();
            if (is_object($methodInstance) &&
                (
                    $methodInstance instanceof Montonio_Gateway_Model_Method_Payments ||
                    $methodInstance instanceof Montonio_Gateway_Model_Method_Blik ||
                    $methodInstance instanceof Montonio_Gateway_Model_Method_Split
                )
            ) {
                $data = $methodInstance->prepPayload($order);
                $quotePayment
                    ->setAdditionalInformation(
                        $methodInstance::METHOD_CODE.'_data',
                        $data
                    );
            }
        } catch (Exception $e) {
            Mage::logException($e);
        }
    }
}
